Edits the data point sentinel configuration
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| dataPointId | integer (int32) | Required |
Request Body
DataPointSentinel
| Property | Description | Type |
|---|---|---|
| sentinelDeactivatedReason | The reason the sentinel was deactivated Must be null when SentinelEnabled is set to True, case sensitive Required (defined) | string |
| sentinelEnabled | Indicates if the data point sentinel is enabled Required (defined) | boolean |
Example Request Body
{ "sentinelDeactivatedReason": "string", "sentinelEnabled": false
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
DataPointResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| active | Indicates whether the Data Point is active | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| channels | An array of channels assigned to this Data Point | EsaChannelChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
EsaChannelChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commodity | CommodityChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
CommodityChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdDate | The date and time the Data Point was created | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dataPointCode | The Data Point code | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dataPointDescription | The Data Point description | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dataPointId | The identifier for the Data Point | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dataPointInfo | The Data Point name | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dataPointTimeZone | TimeZoneChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
TimeZoneChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| importId | The import identifier of the Data Point | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| isDataRolledUp | Indicates if the primary value channel on the datapoint has a summarization method of SUM | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| latitudeOverride | The latitude of the Data Point, if set it overrides the latitude of it’s parent Place | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| longitudeOverride | The longitude of the Data Point, if set it overrides the longitude of it’s parent Place | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| manufacturer | ManufacturerChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ManufacturerChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| model | The model of the Data Point | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | The date and time of the most recent modification of the Data Point | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| place | PlaceChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| primaryUse | PrimaryUseChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PrimaryUseChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| sentinelEnabled | Indicates if the Sentinel is active for primary value channels | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| sentinelModifiedBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| sentinelStatus | Provides some insight into the current Sentinel enabled status. | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| serialNumber | The serial number of the Data Point | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "active": false, "channels": [
{ "channelId": 1, "channelInfo": "string", "interval": 1
}
], "commodity": { "commodityCode": "string", "commodityIcon": { "code": "string", "color": "string"
}, "commodityId": 1, "commodityInfo": "string"
}, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "dataPointCode": "string", "dataPointDescription": "string", "dataPointId": 1, "dataPointInfo": "string", "dataPointTimeZone": { "timeZoneCode": "string", "timeZoneId": 1, "timeZoneInfo": "string"
}, "importId": "string", "isDataRolledUp": false, "latitudeOverride": 1.0, "longitudeOverride": 1.0, "manufacturer": { "manufacturerId": 1, "manufacturerInfo": "string"
}, "model": "string", "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-03-30", "place": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": { "icon": {}, "isSystemPlaceType": false, "placeEntityType": {}, "placeTypeCode": "string", "placeTypeId": 1, "placeTypeInfo": "string", "structure": false
}
}, "primaryUse": { "primaryUseCode": "string", "primaryUseId": 1, "primaryUseInfo": "string"
}, "sentinelEnabled": false, "sentinelModifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "sentinelStatus": 1, "serialNumber": "string"
}